diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/update-core.php ./wordpress-3.3/wp-admin/update-core.php
*** ./wordpress-3.2.1/wp-admin/update-core.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/update-core.php	2011-12-01 17:04:26.000000000 -0600
***************
*** 9,14 ****
--- 9,18 ----
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  
+ wp_enqueue_style( 'plugin-install' );
+ wp_enqueue_script( 'plugin-install' );
+ add_thickbox();
+ 
  if ( is_multisite() && ! is_network_admin() ) {
  	wp_redirect( network_admin_url( 'update-core.php' ) );
  	exit();
***************
*** 41,47 ****
  			$form_action = 'update-core.php?action=do-core-reinstall';
  		} else {
  			$php_compat     = version_compare( $php_version, $update->php_version, '>=' );
! 			$mysql_compat   = version_compare( $mysql_version, $update->mysql_version, '>=' ) || file_exists( WP_CONTENT_DIR . '/db.php' );
  			if ( !$mysql_compat && !$php_compat )
  				$message = sprintf( __('You cannot update because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $update->current, $update->php_version, $update->mysql_version, $php_version, $mysql_version );
  			elseif ( !$php_compat )
--- 45,55 ----
  			$form_action = 'update-core.php?action=do-core-reinstall';
  		} else {
  			$php_compat     = version_compare( $php_version, $update->php_version, '>=' );
! 			if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
! 				$mysql_compat = true;
! 			else
! 				$mysql_compat = version_compare( $mysql_version, $update->mysql_version, '>=' );
! 
  			if ( !$mysql_compat && !$php_compat )
  				$message = sprintf( __('You cannot update because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $update->current, $update->php_version, $update->mysql_version, $php_version, $mysql_version );
  			elseif ( !$php_compat )
***************
*** 66,72 ****
  	echo '<input name="locale" value="'. esc_attr($update->locale) .'" type="hidden"/>';
  	if ( $show_buttons ) {
  		if ( $first_pass ) {
! 			submit_button( $submit, 'button button-primary', 'upgrade', false );
  			$first_pass = false;
  		} else {
  			submit_button( $submit, 'button', 'upgrade', false );
--- 74,80 ----
  	echo '<input name="locale" value="'. esc_attr($update->locale) .'" type="hidden"/>';
  	if ( $show_buttons ) {
  		if ( $first_pass ) {
! 			submit_button( $submit, $current ? 'button' : 'primary', 'upgrade', false );
  			$first_pass = false;
  		} else {
  			submit_button( $submit, 'button', 'upgrade', false );
***************
*** 123,129 ****
   * @return null
   */
  function core_upgrade_preamble() {
! 	global $upgrade_error;
  
  	$updates = get_core_updates();
  ?>
--- 131,137 ----
   * @return null
   */
  function core_upgrade_preamble() {
! 	global $upgrade_error, $wp_version;
  
  	$updates = get_core_updates();
  ?>
***************
*** 168,174 ****
  		echo '</li>';
  	}
  	echo '</ul>';
! 	echo '<p>' . __( 'While your site is being updated, it will be in maintenance mode. As soon as your updates are complete, your site will return to normal.' ) . '</p>';
  	dismissed_updates();
  
  	if ( current_user_can( 'update_plugins' ) )
--- 176,187 ----
  		echo '</li>';
  	}
  	echo '</ul>';
! 	if ( $updates ) {
! 		echo '<p>' . __( 'While your site is being updated, it will be in maintenance mode. As soon as your updates are complete, your site will return to normal.' ) . '</p>';
! 	} else {
! 		list( $normalized_version ) = explode( '-', $wp_version );
! 		echo '<p>' . sprintf( __( '<a href="%s">Learn more about WordPress %s</a>.' ), esc_url( admin_url( 'about.php' ) ), $normalized_version ) . '</p>';
! 	}
  	dismissed_updates();
  
  	if ( current_user_can( 'update_plugins' ) )
***************
*** 246,255 ****
  		} else {
  			$upgrade_notice = '';
  		}
  		echo "
  	<tr class='active'>
  		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr($plugin_file) . "' /></th>
! 		<td><strong>{$plugin_data->Name}</strong><br />" . sprintf(__('You have version %1$s installed. Update to %2$s.'), $plugin_data->Version, $plugin_data->update->new_version) . $compat . $upgrade_notice . "</td>
  	</tr>";
  	}
  ?>
--- 259,273 ----
  		} else {
  			$upgrade_notice = '';
  		}
+ 
+ 		$details_url = self_admin_url('plugin-install.php?tab=plugin-information&plugin=' . $plugin_data->update->slug . '&TB_iframe=true&width=640&height=662');
+ 		$details_text = sprintf(__('View version %1$s details'), $plugin_data->update->new_version);
+ 		$details = sprintf('<a href="%1$s" class="thickbox" title="%2$s">%3$s</a>.', esc_url($details_url), esc_attr($plugin_data->Name), $details_text);
+ 
  		echo "
  	<tr class='active'>
  		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr($plugin_file) . "' /></th>
! 		<td><p><strong>{$plugin_data->Name}</strong><br />" . sprintf(__('You have version %1$s installed. Update to %2$s.'), $plugin_data->Version, $plugin_data->update->new_version) . ' ' . $details . $compat . $upgrade_notice . "</p></td>
  	</tr>";
  	}
  ?>
***************
*** 299,305 ****
  		echo "
  	<tr class='active'>
  		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr($stylesheet) . "' /></th>
! 		<td class='plugin-title'><img src='$screenshot' width='64' height='64' style='float:left; padding: 5px' /><strong>{$theme_data->Name}</strong>" .  sprintf(__('You have version %1$s installed. Update to %2$s.'), $theme_data->Version, $theme_data->update['new_version']) . "</td>
  	</tr>";
  	}
  ?>
--- 317,323 ----
  		echo "
  	<tr class='active'>
  		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr($stylesheet) . "' /></th>
! 		<td class='plugin-title'><img src='$screenshot' width='64' height='64' style='float:left; padding: 0 5px 5px' /><strong>{$theme_data->Name}</strong>" .  sprintf(__('You have version %1$s installed. Update to %2$s.'), $theme_data->Version, $theme_data->update['new_version']) . "</td>
  	</tr>";
  	}
  ?>
***************
*** 360,370 ****
  		show_message($result);
  		if ('up_to_date' != $result->get_error_code() )
  			show_message( __('Installation Failed') );
! 	} else {
! 		show_message( __('WordPress updated successfully') );
! 		show_message( '<a href="' . esc_url( self_admin_url() ) . '">' . __('Go to Dashboard') . '</a>' );
  	}
! 	echo '</div>';
  }
  
  function do_dismiss_core_update() {
--- 378,396 ----
  		show_message($result);
  		if ('up_to_date' != $result->get_error_code() )
  			show_message( __('Installation Failed') );
! 		echo '</div>';
! 		return;
  	}
! 
! 	show_message( __('WordPress updated successfully') );
! 	show_message( '<span class="hide-if-no-js">' . sprintf( __( 'Welcome to WordPress %1$s. You will be redirected to the About WordPress screen. If not, click <a href="%s">here</a>.' ), $result, esc_url( admin_url( 'about.php?updated' ) ) ) . '</span>' );
! 	show_message( '<span class="hide-if-js">' . sprintf( __( 'Welcome to WordPress %1$s. <a href="%2$s">Learn more</a>.' ), $result, esc_url( admin_url( 'about.php?updated' ) ) ) . '</span>' );
! 	?>
! 	</div>
! 	<script type="text/javascript">
! 	window.location = '<?php echo admin_url( 'about.php?upgraded' ); ?>';
! 	</script>
! 	<?php
  }
  
  function do_dismiss_core_update() {
***************
*** 405,414 ****
  $title = __('WordPress Updates');
  $parent_file = 'tools.php';
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen lets you update to the latest version of WordPress as well as update your themes and plugins from the WordPress.org repository. When updates are available, the number of available updates will appear in a bubble on the left hand menu as a notification. It is very important to keep your WordPress installation up to date for security reasons, so when you see a number appear, make sure you take the time to update, which is an easy process.') . '</p>' .
  	'<p>' . __('Updating your WordPress installation is a simple one-click procedure; just click on the Update button when it says a new version is available.') . '</p>' .
! 	'<p>' . __('To update themes or plugins from this screen, use the checkboxes to make your selection and click on the appropriate Update button. Check the box at the top of the Themes or Plugins section to select all and update them all at once.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Dashboard_Updates_Screen" target="_blank">Documentation on Updating WordPress</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 431,454 ----
  $title = __('WordPress Updates');
  $parent_file = 'tools.php';
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . __('This screen lets you update to the latest version of WordPress as well as update your themes and plugins from the WordPress.org repository. When updates are available, the number of available updates will appear in a bubble on the left hand menu as a notification.') . '</p>' .
! 	'<p>' . __('It is very important to keep your WordPress installation up to date for security reasons, so when you see a number appear, make sure you take the time to update, which is an easy process.') . '</p>'
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'how-to-update',
! 'title'		=> __('How to Update'),
! 'content'	=>
  	'<p>' . __('Updating your WordPress installation is a simple one-click procedure; just click on the Update button when it says a new version is available.') . '</p>' .
! 	'<p>' . __('To update themes or plugins from this screen, use the checkboxes to make your selection and click on the appropriate Update button. Check the box at the top of the Themes or Plugins section to select all and update them all at once.') . '</p>'
! ) );
! 
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Dashboard_Updates_Screen" target="_blank">Documentation on Updating WordPress</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/update.php ./wordpress-3.3/wp-admin/update.php
*** ./wordpress-3.2.1/wp-admin/update.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/update.php	2011-08-28 03:42:07.000000000 -0500
***************
*** 134,144 ****
  
  		$title = sprintf( __('Installing Plugin from uploaded file: %s'), basename( $file_upload->filename ) );
  		$nonce = 'plugin-upload';
! 		$url = add_query_arg(array('package' => $file_upload->filename ), 'update.php?action=upload-plugin');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
  
  		$upgrader = new Plugin_Upgrader( new Plugin_Installer_Skin( compact('type', 'title', 'nonce', 'url') ) );
! 		$upgrader->install( $file_upload->package );
  
  		include(ABSPATH . 'wp-admin/admin-footer.php');
  
--- 134,147 ----
  
  		$title = sprintf( __('Installing Plugin from uploaded file: %s'), basename( $file_upload->filename ) );
  		$nonce = 'plugin-upload';
! 		$url = add_query_arg(array('package' => $file_upload->id), 'update.php?action=upload-plugin');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
  
  		$upgrader = new Plugin_Upgrader( new Plugin_Installer_Skin( compact('type', 'title', 'nonce', 'url') ) );
! 		$result = $upgrader->install( $file_upload->package );
! 
! 		if ( $result || is_wp_error($result) )
! 			$file_upload->cleanup();
  
  		include(ABSPATH . 'wp-admin/admin-footer.php');
  
***************
*** 236,246 ****
  
  		$title = sprintf( __('Installing Theme from uploaded file: %s'), basename( $file_upload->filename ) );
  		$nonce = 'theme-upload';
! 		$url = add_query_arg(array('package' => $file_upload->filename), 'update.php?action=upload-theme');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
  
  		$upgrader = new Theme_Upgrader( new Theme_Installer_Skin( compact('type', 'title', 'nonce', 'url') ) );
! 		$upgrader->install( $file_upload->package );
  
  		include(ABSPATH . 'wp-admin/admin-footer.php');
  
--- 239,252 ----
  
  		$title = sprintf( __('Installing Theme from uploaded file: %s'), basename( $file_upload->filename ) );
  		$nonce = 'theme-upload';
! 		$url = add_query_arg(array('package' => $file_upload->id), 'update.php?action=upload-theme');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
  
  		$upgrader = new Theme_Upgrader( new Theme_Installer_Skin( compact('type', 'title', 'nonce', 'url') ) );
! 		$result = $upgrader->install( $file_upload->package );
! 
! 		if ( $result || is_wp_error($result) )
! 			$file_upload->cleanup();
  
  		include(ABSPATH . 'wp-admin/admin-footer.php');
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/upgrade.php ./wordpress-3.3/wp-admin/upgrade.php
*** ./wordpress-3.2.1/wp-admin/upgrade.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/upgrade.php	2011-10-25 00:29:28.000000000 -0500
***************
*** 38,48 ****
  $php_version    = phpversion();
  $mysql_version  = $wpdb->db_version();
  $php_compat     = version_compare( $php_version, $required_php_version, '>=' );
! $mysql_compat   = version_compare( $mysql_version, $required_mysql_version, '>=' ) || file_exists( WP_CONTENT_DIR . '/db.php' );
  
  @header( 'Content-Type: ' . get_option( 'html_type' ) . '; charset=' . get_option( 'blog_charset' ) );
  ?>
! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php echo get_option( 'blog_charset' ); ?>" />
--- 38,51 ----
  $php_version    = phpversion();
  $mysql_version  = $wpdb->db_version();
  $php_compat     = version_compare( $php_version, $required_php_version, '>=' );
! if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
! 	$mysql_compat = true;
! else
! 	$mysql_compat = version_compare( $mysql_version, $required_mysql_version, '>=' );
  
  @header( 'Content-Type: ' . get_option( 'html_type' ) . '; charset=' . get_option( 'blog_charset' ) );
  ?>
! <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php echo get_option( 'blog_charset' ); ?>" />
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/upload.php ./wordpress-3.3/wp-admin/upload.php
*** ./wordpress-3.2.1/wp-admin/upload.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/upload.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 90,95 ****
--- 90,97 ----
  			}
  			break;
  		case 'trash':
+ 			if ( !isset( $post_ids ) )
+ 				break;
  			foreach ( (array) $post_ids as $post_id ) {
  				if ( !current_user_can( 'delete_post', $post_id ) )
  					wp_die( __( 'You are not allowed to move this post to the trash.' ) );
***************
*** 100,105 ****
--- 102,109 ----
  			$location = add_query_arg( array( 'trashed' => count( $post_ids ), 'ids' => join( ',', $post_ids ) ), $location );
  			break;
  		case 'untrash':
+ 			if ( !isset( $post_ids ) )
+ 				break;
  			foreach ( (array) $post_ids as $post_id ) {
  				if ( !current_user_can( 'delete_post', $post_id ) )
  					wp_die( __( 'You are not allowed to move this post out of the trash.' ) );
***************
*** 110,115 ****
--- 114,121 ----
  			$location = add_query_arg( 'untrashed', count( $post_ids ), $location );
  			break;
  		case 'delete':
+ 			if ( !isset( $post_ids ) )
+ 				break;
  			foreach ( (array) $post_ids as $post_id_del ) {
  				if ( !current_user_can( 'delete_post', $post_id_del ) )
  					wp_die( __( 'You are not allowed to delete this post.' ) );
***************
*** 139,149 ****
  
  add_screen_option( 'per_page', array('label' => _x( 'Media items', 'items per page (screen options)' )) );
  
! add_contextual_help( $current_screen,
! 	'<p>' . __( 'All the files you&#8217;ve uploaded are listed in the Media Library, with the most recent uploads listed first. You can use the <em>Screen Options</em> tab to customize the display of this screen.' ) . '</p>' .
! 	'<p>' . __( 'You can narrow the list by file type/status using the text link filters at the top of the screen. You also can refine the list by date using the dropdown menu above the media table.' ) . '</p>' .
! 	'<p>' . __( 'Hovering over a row reveals action links: <em>Edit</em>, <em>Delete Permanently</em>, and <em>View</em>. Clicking <em>Edit</em> or on the media file&#8217;s name displays a simple screen to edit that individual file&#8217;s metadata. Clicking <em>Delete Permanently</em> will delete the file from the media library (as well as from any posts to which it is currently attached). <em>View</em> will take you to the display page for that file.' ) . '</p>' .
! 	'<p>' . __( 'If a media file has not been attached to any post, you will see that in the <em>Attached To</em> column, and can click on <em>Attach File</em> to launch a small popup that will allow you to search for a post and attach the file.' ) . '</p>' .
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Media_Library_Screen" target="_blank">Documentation on Media Library</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
--- 145,171 ----
  
  add_screen_option( 'per_page', array('label' => _x( 'Media items', 'items per page (screen options)' )) );
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . __( 'All the files you&#8217;ve uploaded are listed in the Media Library, with the most recent uploads listed first. You can use the Screen Options tab to customize the display of this screen.' ) . '</p>' .
! 	'<p>' . __( 'You can narrow the list by file type/status using the text link filters at the top of the screen. You also can refine the list by date using the dropdown menu above the media table.' ) . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'actions-links',
! 'title'		=> __('Available Actions'),
! 'content'	=>
! 	'<p>' . __( 'Hovering over a row reveals action links: Edit, Delete Permanently, and View. Clicking Edit or on the media file&#8217;s name displays a simple screen to edit that individual file&#8217;s metadata. Clicking Delete Permanently will delete the file from the media library (as well as from any posts to which it is currently attached). View will take you to the display page for that file.' ) . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'attaching-files',
! 'title'		=> __('Attaching Files'),
! 'content'	=>
! 	'<p>' . __( 'If a media file has not been attached to any post, you will see that in the Attached To column, and can click on Attach File to launch a small popup that will allow you to search for a post and attach the file.' ) . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Media_Library_Screen" target="_blank">Documentation on Media Library</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
***************
*** 155,190 ****
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?> <a href="media-new.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'file'); ?></a> <?php
! if ( isset($_REQUEST['s']) && $_REQUEST['s'] )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
  
  <?php
  $message = '';
! if ( isset($_GET['posted']) && (int) $_GET['posted'] ) {
  	$message = __('Media attachment updated.');
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('posted'), $_SERVER['REQUEST_URI']);
  }
  
! if ( isset($_GET['attached']) && (int) $_GET['attached'] ) {
! 	$attached = (int) $_GET['attached'];
  	$message = sprintf( _n('Reattached %d attachment.', 'Reattached %d attachments.', $attached), $attached );
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('attached'), $_SERVER['REQUEST_URI']);
  }
  
! if ( isset($_GET['deleted']) && (int) $_GET['deleted'] ) {
! 	$message = sprintf( _n( 'Media attachment permanently deleted.', '%d media attachments permanently deleted.', $_GET['deleted'] ), number_format_i18n( $_GET['deleted'] ) );
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('deleted'), $_SERVER['REQUEST_URI']);
  }
  
! if ( isset($_GET['trashed']) && (int) $_GET['trashed'] ) {
! 	$message = sprintf( _n( 'Media attachment moved to the trash.', '%d media attachments moved to the trash.', $_GET['trashed'] ), number_format_i18n( $_GET['trashed'] ) );
  	$message .= ' <a href="' . esc_url( wp_nonce_url( 'upload.php?doaction=undo&action=untrash&ids='.(isset($_GET['ids']) ? $_GET['ids'] : ''), "bulk-media" ) ) . '">' . __('Undo') . '</a>';
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('trashed'), $_SERVER['REQUEST_URI']);
  }
  
! if ( isset($_GET['untrashed']) && (int) $_GET['untrashed'] ) {
! 	$message = sprintf( _n( 'Media attachment restored from the trash.', '%d media attachments restored from the trash.', $_GET['untrashed'] ), number_format_i18n( $_GET['untrashed'] ) );
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('untrashed'), $_SERVER['REQUEST_URI']);
  }
  
--- 177,211 ----
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?> <a href="media-new.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'file'); ?></a> <?php
! if ( ! empty( $_REQUEST['s'] ) )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
  
  <?php
  $message = '';
! if ( ! empty( $_GET['posted'] ) ) {
  	$message = __('Media attachment updated.');
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('posted'), $_SERVER['REQUEST_URI']);
  }
  
! if ( ! empty( $_GET['attached'] ) && $attached = absint( $_GET['attached'] ) ) {
  	$message = sprintf( _n('Reattached %d attachment.', 'Reattached %d attachments.', $attached), $attached );
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('attached'), $_SERVER['REQUEST_URI']);
  }
  
! if ( ! empty( $_GET['deleted'] ) && $deleted = absint( $_GET['deleted'] ) ) {
! 	$message = sprintf( _n( 'Media attachment permanently deleted.', '%d media attachments permanently deleted.', $deleted ), number_format_i18n( $_GET['deleted'] ) );
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('deleted'), $_SERVER['REQUEST_URI']);
  }
  
! if ( ! empty( $_GET['trashed'] ) && $trashed = absint( $_GET['trashed'] ) ) {
! 	$message = sprintf( _n( 'Media attachment moved to the trash.', '%d media attachments moved to the trash.', $trashed ), number_format_i18n( $_GET['trashed'] ) );
  	$message .= ' <a href="' . esc_url( wp_nonce_url( 'upload.php?doaction=undo&action=untrash&ids='.(isset($_GET['ids']) ? $_GET['ids'] : ''), "bulk-media" ) ) . '">' . __('Undo') . '</a>';
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('trashed'), $_SERVER['REQUEST_URI']);
  }
  
! if ( ! empty( $_GET['untrashed'] ) && $untrashed = absint( $_GET['untrashed'] ) ) {
! 	$message = sprintf( _n( 'Media attachment restored from the trash.', '%d media attachments restored from the trash.', $untrashed ), number_format_i18n( $_GET['untrashed'] ) );
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('untrashed'), $_SERVER['REQUEST_URI']);
  }
  
***************
*** 194,201 ****
  $messages[4] = __('Media moved to the trash.') . ' <a href="' . esc_url( wp_nonce_url( 'upload.php?doaction=undo&action=untrash&ids='.(isset($_GET['ids']) ? $_GET['ids'] : ''), "bulk-media" ) ) . '">' . __('Undo') . '</a>';
  $messages[5] = __('Media restored from the trash.');
  
! if ( isset($_GET['message']) && (int) $_GET['message'] ) {
! 	$message = $messages[$_GET['message']];
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('message'), $_SERVER['REQUEST_URI']);
  }
  
--- 215,222 ----
  $messages[4] = __('Media moved to the trash.') . ' <a href="' . esc_url( wp_nonce_url( 'upload.php?doaction=undo&action=untrash&ids='.(isset($_GET['ids']) ? $_GET['ids'] : ''), "bulk-media" ) ) . '">' . __('Undo') . '</a>';
  $messages[5] = __('Media restored from the trash.');
  
! if ( ! empty( $_GET['message'] ) && isset( $messages[ $_GET['message'] ] ) ) {
! 	$message = $messages[ $_GET['message'] ];
  	$_SERVER['REQUEST_URI'] = remove_query_arg(array('message'), $_SERVER['REQUEST_URI']);
  }
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/user/menu.php ./wordpress-3.3/wp-admin/user/menu.php
*** ./wordpress-3.2.1/wp-admin/user/menu.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/user/menu.php	2011-09-30 11:47:02.000000000 -0500
***************
*** 7,13 ****
   * @since 3.1.0
   */
  
! $menu[0] = array(__('Dashboard'), 'exist', 'index.php', '', 'menu-top menu-top-first menu-icon-dashboard', 'menu-dashboard', 'div');
  
  $menu[4] = array( '', 'exist', 'separator1', '', 'wp-menu-separator' );
  
--- 7,13 ----
   * @since 3.1.0
   */
  
! $menu[2] = array(__('Dashboard'), 'exist', 'index.php', '', 'menu-top menu-top-first menu-icon-dashboard', 'menu-dashboard', 'div');
  
  $menu[4] = array( '', 'exist', 'separator1', '', 'wp-menu-separator' );
  
***************
*** 21,24 ****
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
  
! ?>
\ No newline at end of file
--- 21,24 ----
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
  
! ?>
